MuseScore 3 does not run on macOS 10.10 & 10.11

• Jan 9, 2019 - 14:31
Reported version
3.0
Type
Functional
Frequency
Many
Severity
S3 - Major
Reproducibility
Always
Status
PR created
Regression
No
Workaround
No
Project

What is supported and what not

  • The final version of Musescore 3.0.0 runs on macOS 10.12 - 10.14
  • It does not run on macOS 10.10 and 10.11 (it crashes).
  • The most recent binary for MuseScore 3 on macOS 10.10 &10.11 is a Beta2 package generated as part of [Mac] Musescore 3 beta 3 does not support OS X versions <10.12. Warning: Please do not use this package for any serious work, or backup your data frequently if you do use it.
  • (Aside: due to lack of support for macOS <10.10 on our development environment, a MuseScore 3 for macOS <10.10 is not possible.)

Upstream technical dependencies


Comments

Thank you. I am waiting for musescore3 to run on El Capitan, as I don't want to upgrade the OS yet for compatibilty issues with other software I use. In the mean time, I use musescore2 - great program, congratulations.

I have a theory that the problem only occurs when using a newer Apple toolchain with an older Qt toolset. I can build and run MuseScore 3 on macOS 10.11.6 with Xcode 8.2.1 and Qt 5.9.7, and it works great. I would love to share the DMG, but I would need a place to put it.

It turns out my build still suffers from the same bug, but I need to switch workspaces a few times in order to trigger the crash. I remember when just opening the MuseScore menu would cause a crash every time, but thankfully that no longer happens.

I guess that depends on how many times a user needs to switch workspaces in a single session. It seems a shame to let this be the only reason to not provide a build that runs on macOS 10.10 and 10.11.

The described crash (if that's all the problem comes down to) will be bewildering and frustrating/inconvenient to some, but in the grand scheme of things, I don't think it's an essential feature, and I'm probably happy to forsake it in the circumstances (something beyond our control which would otherwise likely be considered a 'blocker').

In terms of solutions: could there be a special fix at MuseScore level? Another could be to make only one workspace available - I always have mine as Advanced, incidentally.

I think there should be a release planned/prepared irrespective of Qt in the event 5.9.8 doesn't happen, or it's delayed, as there's no sign of progress; the answer will be known by April, of course.

@mattmcclinch : I would love to try your .DMG. Maybe consider putting it on GDrive / DropBox? (Also am permanently on the Advanced workspace and never switch).

Thanks mattmcclinch! It works for me on 10.11. You made my day. You will definitely make a lot more people's if you post a link to your "community/unofficial binary" on the Tech Preview forum.

Thanks @mattmcclinch!

It crashed once after clicking at the top menu. I don't know if it makes a difference, but here are some details (from memory): MuseScore was running via Terminal (so I could do a factory reset); prior to this, I went through the initial setup (UK keyboard; chose advanced workspace; declined a tour), adjusted things in Preferences (downloaded UK translation; startup options, including paths), and the size of the application window and columns. I cannot reproduce, but please find the log attached.

Using MuseScore 3.1 Nightly 3543170 - Mac 10.11.6.

Attachment Size
Crash when accessing top menu [Log].txt 97.35 KB

I believe I have solved the problem with my build by not allowing workspaces to change the menu when MuseScore is built with Qt 5.9.7 or below. I have replaced the DMG in my Google Drive with a new version which should not suffer from this crash.

In reply to by mattmcclinch

Thanks for your efforts @mattmcclinch. This version crashes on 10.10, but it looks like the problem is with the linked version of portaudio.

Cheers,
Stewart

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Dyld Error Message:
Symbol not found: _AudioUnitSetProperty
Referenced from: /Applications/MuseScore 3.app/Contents/MacOS/../Frameworks/libportaudio.2.dylib (which was built for Mac OS X 10.11)
Expected in: /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox

Some of students are using muscescore. I am using OS 10.13 and this same problem just started occurring for me. They are in the middle of a counterpoint course. How soon can we expect a fix? The "first quarter" may be beyond the time they are in my class, so if I have to get them to switch to some other submission process, it would be good to know now.

Your students can use any older version and you can still open it. Just be nice if they use 2.3.2 and your version does some relayout, or you'll get a warning that's it a version 2 file and you can open it in version 2.3.2. Both versions can run on your computer at the same time.

@Mark Rimple, if you are using macOS 10.13, then this issue is not the same problem that you are having. Perhaps you are looking for #285057: MuseScore 3.0.4 on macOS is crashing on startup..

@stewart.greenhill, I have rebuilt my MuseScore package, this time using a version of PortAudio that I compiled myself rather than the one installed via HomeBrew. It is entirely possible that this will have made all the difference, but since I do not have a machine running macOS 10.10, I cannot test it myself. Would you care to download it again and let me know how it goes?

@mattmcclinch I'm able to run the DMG downloaded from the time you posted about an updated one.

At the risk of hijacking this topic, I wanted to bring up something here, in case the aforementioned PortAudio is a contributing factor: audio often struggles during playback, though it's fine in export. I don't know if it's related to the issue reported by a few others:

#285247: Audio playback won't work properly
#284076: Playback files from musescore 2
#284095: MuseScore 3 playback stuttering with snare soundfont
#281067: Playback Issues
#284034: Horrible Sounds During Playback

None of the authors mentions the operating system. With no problems reported on Ubuntu, and Windows possibly the most used of all, the lack of overwhelming reports suggests this could be Mac-specific.

In reply to by mattmcclinch

Thanks very much @mattmcclinch. The updated version is running well on Mac OS 10.10.

A couple of small problems I have noticed:

  • After the "Start Centre" is opened, the "Quit Musescore" item remains disabled on the main menu, though the program can still be quit via option-Q, or the window close button

  • The app occasionally crashes during close (hard to reproduce)

  • Pressing "Restart Audio and MIDI Devices" under "I/O" preferences quits the program, but does not generate a crash report. On restart it says "The previous session quit unexpectedly".

@stewart.greenhill, that's great news! I had noticed the thing about the "Quit MuseScore" menu item, and indeed the official version does not seem to have this problem. In my experience, it only happens if I try to use the menu while the Start Center is open.

In general, if anyone wants to report an issue found while using this build, it would be best to mention that it occurs in an unofficial/unsupported build for macOS 10.10, and ask if someone can confirm that the issue exists in the official version.

@mikeanaphone1, are you sure you downloaded the version that I provided, located here? It is known to work on macOS 10.10 & 10.11, unlike the official version. It is also a prerelease of version 3.1, although I suppose I could provide 3.0.5, and maybe even each of the previous 3.0.x releases as well.

Qt 5.9.8 does not solve the problem after all. MuseScore 3 still crashes (sometimes) when switching workspaces, even when built with Qt 5.9.8.

AFAIK that PR doesn't solve the issue, without also falling back to using an older version of Qt, which in turn won't work properly on newer Macs?

In reply to by Jojo-Schmitz

I don’t know anything about the older version of Qt not working properly on newer Macs, but Anatoly has said he does not want to fall back to the older version, at least for the main official build. There is the possibility of an alternate official build for older Macs, though. I will be happy to update my unofficial build when I get the opportunity to do so.

I may remember wrongly reg. the older Qt versions not working properly on newer Macs, but IIRC that bug that pesters macOS 10.10 and 10.11 is not present in Qt 5.12 anymore (and the hope was that 5.9.8 fixed it too, apparently it did not?)

Thanks again @mattmcclinch . GitHub is definitely the better place to put it.

a) You offered some time ago to even do an unofficial 3.0.5 for 10.10&10.11 . I ran into the 3.1 playback on musescore.com a week ago and had to revert back to 2.3.2 . Is there still a usage case for a 3.0.5 with 3.1 GA imminent? (for those regressions on 3.1.x)

b) Any chance of having a build version or description in the file name to tell the downloaded files apart? e.g.
your file name: MuseScore-3.1.0.dmg
The macOS +10.12 RC: MuseScore-3.1.0-RC.dmg
My suggestion is
(i) include the release cycle phase, e.g. Beta1/RC/GA
(ii) if it is not in sync with one of the official releases, include a build no so that those of us that are regularly downloading and installing, can keep the downloads apart.
(iii) include the OS version in the binary, to distinguish it from the main version, e.g.
MuseScore-3.1.0_macOS10.10-10.11_RC.dmg (I know this is long, but the only way for non-current macOS users to tell what they downloaded from the file name)
If Anatoly-os figures out a way to make an official build, he too will run into a naming issue and we would have hopefully solved it for him, or given some inspiration.

@Anatoly-os : any chance of getting a link to @mattmcclinch 's GitHub page from the download page until you can produce an official version? E.g. since there is no Community Builds section any more, my suggestion is to add a link under section "Older and unsupported versions"
below the link "macOS 10.7 or higher" called
"MuseScore 3.x for macOS 10.10 &10.11" (linked to the GitHub page)
(since everything under here is officially unsupported, it the type of "unsupported" (e.g. supported by the community vs too old to be supported by MuseScore.org) probably does not matter.

In reply to by mattmcclinch

Hi Matt, I downloaded your version from a recommendation of a other user (mike320) but I am still with compatibility problems when I try to install on my MACOS (10.11.16). I am attaching some pictures.

Hi @Ricfreit, I see you downloaded my version, but I suspect you had installed the official version which does not work on your Mac. If I am correct, you should remove the official version from your /Applications folder, and then open up the DMG you downloaded from me, and install that version.

Issue #290476: Add download link to MuseScore 3.x unofficial build for older macOS versions logged.

@mattmcclinch , maybe I am splitting hairs, but what you call your unofficial version, to me looks like an unofficial build. Reason I am asking, we have different version numbers at play, 3.1, 10.10 / 10.11 whereas what you provide is an unofficial build of the official 3.1 branch (with a patch and built against QT 5.9), not an unofficial version per se.